Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Segher Boessenkool <[email-masked]>
Date: Thu, 5 Jun 2008 17:46:15 +0200

>> I think we should just expand the definition of cell-index to include 
>> standard
>> device enumeration for when it's needed.  The original definition is 
>> too
>> limited, IMHO.
>
> nak
>
> if you need explicit indexing then use an alias.  My opinion however
> is that explicit indexing is unnecessary and is just an artifact of
> current i2c subsystem internals.  There is already enough information
> in the device tree to match i2c devices with i2c busses without
> resorting to indexes.

Fully agreed.  Let me say it as well, it makes me feel powerful:

NAK

Segher